org.apache.torque.templates

## Class TestProcessing

- java.lang.Object
- - org.apache.torque.templates.TestProcessing

-     public class TestProcessing
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestProcessing()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testHtmlDocTemplates()` Ignore until https://issues.apache.org/jira/projects/TORQUE/issues/TORQUE-358?filter=allopenissues is resolved
    `void` | `testIdtableTemplates()`
    `void` | `testOmTemplates()`
    `void` | `testSqlCreatedbTemplates()`
    `void` | `testSqlDdlTemplates(String dbType)`
    `void` | `testXdocTemplates()` Ignore until https://issues.apache.org/jira/projects/TORQUE/issues/TORQUE-358?filter=allopenissues is resolved

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestProcessing

          public TestProcessing()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()
                                  throws Exception

      Throws:
        `Exception`

    - #### testOmTemplates

          @Test
          public void testOmTemplates()
                                      throws Exception

      Throws:
        `Exception`

    - #### testSqlCreatedbTemplates

          @Test
          public void testSqlCreatedbTemplates()
                                               throws Exception

      Throws:
        `Exception`

    - #### testIdtableTemplates

          @Test
          public void testIdtableTemplates()
                                           throws Exception

      Throws:
        `Exception`

    - #### testHtmlDocTemplates

          @Test
          public void testHtmlDocTemplates()
                                           throws Exception

      Ignore until https://issues.apache.org/jira/projects/TORQUE/issues/TORQUE-358?filter=allopenissues is resolved
      Throws:
        `Exception`

    - #### testXdocTemplates

          @Test
          public void testXdocTemplates()
                                        throws Exception

      Ignore until https://issues.apache.org/jira/projects/TORQUE/issues/TORQUE-358?filter=allopenissues is resolved
      Throws:
        `Exception`

    - #### testSqlDdlTemplates

          @ParameterizedTest
           @ValueSource(strings={"mysql","oracle","postgresql","hsqldb","derby","mssql"})
          public void testSqlDdlTemplates(String dbType)
                                                                                                                                        throws Exception

      Throws:
        `Exception`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.